%global gitver 1

%if 0%{?gitver}
%global  commit      fb63fda224e65b4424676a8427dc3a948c7c2fd3
%global  date        .20230118git
%global  shortcommit %(c=%{commit}; echo ${c:0:7})
%else
%global  commit      %{nil}
%global  date        %{nil}
%global  shortcommit %{nil}
%endif

Name: python-zoidberg
Summary: Flux-Coordinate Independent Grid Generator for BOUT++
Version: 0.1.1
Release: 1%{date}%{shortcommit}%{?dist}
License: LGPL-3.0-or-later
URL: https://github.com/boutproject/zoidberg
Source0: %{url}/archive/%{commit}/zoidberg-%{commit}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest >= 3.3.0
BuildRequires: python3-numpy
BuildRequires: python3-sympy
BuildRequires: python3-scipy
BuildRequires: python3-matplotlib
BuildRequires: netcdf-devel
BuildRequires: netcdf-cxx%{?fedora:4}-devel


%global _description\
Zoidberg is a tool for generating grids for BOUT++ when\
using the Flux-Coordinate Independent (FCI) method of\
evaluating derivative parallel to a magnetic field.\
\


%description %_description

%package -n python3-zoidberg
Summary: Flux-Coordinate Independent Grid Generator for BOUT++
%description -n python3-zoidberg %_description
%py_provides python3-zoidberg

%prep
%autosetup -n zoidberg-%{commit}

%build
%py3_build

%install
%py3_install

# Fix PYTHON_PROVIDED_VERSION_NORMALIZES_TO_ZERO___SEE_STDERR
mv %{buildroot}%{python3_sitelib}/zoidberg-0.0.0-py%{python3_version}.egg-info \
   %{buildroot}%{python3_sitelib}/zoidberg-%{version}-py%{python3_version}.egg-info
sed -e 's|Version: 0.0.0|Version: %{version}|g' -i %{buildroot}%{python3_sitelib}/zoidberg-%{version}-py%{python3_version}.egg-info/PKG-INFO

%check
#%%pytest

%files -n python3-zoidberg
%license LICENSE
%doc README.md
%{_bindir}/zoidberg-screwpinch
%{_bindir}/zoidberg-rotating-ellipse
%{python3_sitelib}/zoidberg/
%{python3_sitelib}/zoidberg*.egg-info/

%changelog
* Sun Mar 12 2023 Antonio Trande <sagitter@fedoraproject.org> - 0.1.1-1.20230118gitfb63fda
- First RPM

